--- /dev/null	Sat Jun  1 10:02:50 2013
+++ new/usr/src/cmd/sgs/getloginx/common/getloginx.c	Sat Jun  1 10:02:50 2013
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License, Version 1.0 only
+ * (the "License").  You may not use this file except in compliance
+ * with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ *	Copyright (c) 2013 Gary Mills
+ *
+ *	Copyright (c) 1996 by Sun Microsystems, Inc.
+ *
+ * Truncate a long login name returned by getlogin()
+ * for programs that copy the name to a nine-byte buffer.
+ *
+ * Use:
+ *	LD_PRELOAD=getloginx.so.1 program args ...
+ *
+ */
+
+extern char *getloginx(void);
+
+char *
+getlogin(void)
+{
+	return (getloginx());
+}
+
+/* */
